Name:           sc-controller
Version:        0.3.9
Release:        %mkrel 1
Summary:        User-mode driver and GTK+3-based GUI for Steam Controller
Group:          System/Kernel and hardware
License:        GPLv2+
URL:            https://github.com/kozec/sc-controller
Source0:        https://github.com/kozec/sc-controller/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python2)
Requires:       python-gi-cairo
Requires:       python-pylibacl
Requires:       steam-udevrules

%description
User-mode driver and GTK+3-based GUI for Steam Controller.

 - Allows to setup, configure and use Steam Controller without Steam
 - Supports profiles switchable in GUI or with controller button
 - Stick, Pads and Gyroscope input
 - Haptic Feedback support
 - OSD, Menus, On-Screen Keyboard for desktop and in games.
 - Automatic profile switching based on active window.
 - Macros, button cycling, rapid fire, modeshift, mouse regions...
 - Emulates Xbox360 controller, mouse, trackball and keyboard.

%prep
%setup -q
%autopatch -p1

%build
%py2_build

%install
%py2_install

# Already packaged in steam-udevrules
rm -rf %{buildroot}%{_prefix}/lib/udev/rules.d

%files
%doc README.md
%{python2_sitearch}/libuinput.so
%{python2_sitearch}/scc/
%{python2_sitearch}/sccontroller-%{version}-py%{python2_version}.egg-info
%{_bindir}/%{name}
%{_bindir}/scc-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/scc-mime-types.xml
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/scc/
%{_iconsdir}/hicolor/24x24/status/scc-*.png


%changelog
* Tue May 02 2017 akien <akien> 0.3.9-1.mga6
+ Revision: 1098228
- Version 0.3.9

* Thu Mar 30 2017 akien <akien> 0.3.8.1-1.mga6
+ Revision: 1095359
- Version 0.3.8.1

* Wed Mar 15 2017 akien <akien> 0.3.8-1.mga6
+ Revision: 1092632
- Version 0.3.8

* Sun Feb 12 2017 akien <akien> 0.3.7-1.mga6
+ Revision: 1085898
- Version 0.3.7

* Tue Jan 24 2017 akien <akien> 0.3.6.2-1.mga6
+ Revision: 1083367
- Version 0.3.6.2

* Wed Jan 18 2017 akien <akien> 0.3.6.1-1.mga6
+ Revision: 1082291
- Version 0.3.6.1

* Sat Jan 07 2017 akien <akien> 0.3.5-1.mga6
+ Revision: 1080435
- Version 0.3.5

* Fri Dec 23 2016 akien <akien> 0.3.4-1.mga6
+ Revision: 1076550
- Version 0.3.4

* Mon Dec 05 2016 akien <akien> 0.3.3-1.mga6
+ Revision: 1072495
- Version 0.3.3

* Thu Nov 10 2016 akien <akien> 0.3.2-1.mga6
+ Revision: 1066160
- Version 0.3.2

* Sat Oct 29 2016 akien <akien> 0.3.1-1.mga6
+ Revision: 1064009
- Version 0.3.1

* Fri Sep 30 2016 akien <akien> 0.2.17-1.mga6
+ Revision: 1057825
- imported package sc-controller

